Bug 319251 - login doesn't work in text-based browsers (elinks, lynx)
login doesn't work in text-based browsers (elinks, lynx)
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Justin Sherrill
wes hayutin
: 324601 (view as bug list)
Depends On:
Blocks: 248643 317791
  Show dependency treegraph
Reported: 2007-10-04 16:57 EDT by Máirín Duffy
Modified: 2008-08-19 16:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-02 17:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Máirín Duffy 2007-10-04 16:57:37 EDT
Description of problem:

we've verified satellite logins do not work in elinks or lynx. this may be an
issue for visually-impaired users. 

More Info:

<zeus_hm> username and password get sent, but get redirected to relogin page
<zeus_hm> it could be cookie related.
Comment 2 Justin Sherrill 2007-10-17 18:47:27 EDT
It was indeed a cookie issue as those two text browsers didn't like having a
cookie that was set to expire so far in the future (~33 years).

Fixed in rev 132983.

Note that this will need to be tested extensively to make sure that the changes
didn't cause breakage with the java perl interaction or logins in general.  Also
testing across browsers is a must!

Also note that elinks can be used with any existing satellite by changing the
cookie.max_age value to 0 (so that elinks ignores the cookies age completely). 
This will not be needed in 5.1 though.
Comment 3 Justin Sherrill 2007-10-17 19:15:26 EDT
unit test fixes in rev 132984.
Comment 4 Partha Aji 2007-10-19 14:11:57 EDT
Moving to ON_QA
Comment 5 wes hayutin 2007-10-23 07:43:58 EDT
verified in build 20
Comment 6 Justin Sherrill 2007-10-23 10:45:30 EDT
Also in rev 133153. I had to adjust how the cookie info was stored in the DB. 
Taskomatic was expecting the expire time in the DB to be the date of expiration,
but we were just sticking the expire time.
Comment 8 John Ha 2007-11-29 14:32:50 EST
Thanks, Cliff. Here's how it'll go into the notes:

 A bug that prevented the usage of text based web browsers to
 login and use &RHN; Satellite Server has been fixed.
Comment 9 Mike McCune 2008-03-14 17:33:16 EDT
Comment 10 Brandon Perkins 2008-04-02 17:10:20 EDT
UI Enhancements for 5.1 Sat GA so Closed for Current Release.
Comment 11 Justin Sherrill 2008-08-14 15:59:50 EDT
*** Bug 324601 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.